Skip to Content
APIsBlockchains

Blockchains

Get blockchains returns the supported blockchains for a decentralized exchange.

Get Blockchains

GEThttps://api.adesic.com/v2/dex/{exchange}

Returns an array of supported blockchains for a decentralized exchange.

Path Parameters

NameTypeDescription
exchange*stringThe decentralized exchange

Query Parameters

NameTypeDescription
apiKey*stringYour Adesic API Key
success-response.json
[ { "id": "ethereum", "name": "Ethereum" }, { "id": "polygon", "name": "Polygon" }, { "id": "optimism", "name": "Optimism" }, { "id": "celo", "name": "Celo" }, { "id": "arbitrum", "name": "Arbitrum" }, { "id": "binance", "name": "Binance Smart Chain" } ]

Copy & Paste Code

curl-request.sh
curl -H "api-key: API KEY" https://api.adesic.com/v2/dex/uniswap

Response Object

Example URL: https://api.adesic.com/v2/dex/uniswap 

response.json
[ { "id": "ethereum", "name": "Ethereum" }, { "id": "polygon", "name": "Polygon" }, { "id": "optimism", "name": "Optimism" }, { "id": "celo", "name": "Celo" }, { "id": "arbitrum", "name": "Arbitrum" }, { "id": "binance", "name": "Binance Smart Chain" } ]

Response Attributes

Attribute NameData TypeDescription
idstringUnique blockchain identifier used by Adesic.
namestringThe official name of the blockchain.

© Adesic LLC. All Rights Reserved